#!/bin/bash
###############################################################################
#
# EXAMPLE OPENMP SCRIPT FOR SGE
#
# To use, change all of the following to real values:
#     JOB_NAME, UCID, NUMBER_OF_CPUS, /path/to/your/prog
#
# Please see https://wiki.hpc.arcs.njit.edu/ for additional information.
###############################################################################
# Change JOB_NAME to a one-word alphanumeric description. This will be used for
# part of output file name and in status listings.
###############################################################################
#$ -N TEST
#$ -q short

###############################################################################
# Send email when jobs starts and again when it finishes or if it aborts.
###############################################################################
#$ -M ucid@njit.edu
#$ -m abe

###############################################################################
# Use current working directory where "qsub" was invoked.
###############################################################################
#$ -cwd

###############################################################################
# Set your number of processors here by changing NUMBER_OF_CPUS to an integer
# value. For OpenMP use:
#
#      threaded
#
###############################################################################
#$ -pe threaded 8

###############################################################################
# Run job through bash shell
###############################################################################
#$ -S /bin/bash

###############################################################################
# The following are for reporting only and not really needed to run the job;
# their results will show up in your output file.
###############################################################################
echo "Got $NSLOTS processors."
echo "QRSH_PORT=${QRSH_PORT:-none}"
echo "cwd=$(pwd)"
export OMP_NUM_THREADS=4

./hello_omp > out.txt

