#include <stdio.h>
#include <math.h>
#include <omp.h>

#define NUM_THREADS 8
static long n = 1000000;
double h;

int main ()
{
  int i, nthreads;
  double x, pi, sum[NUM_THREADS]={0.};
  h = 1./(double) n;

  omp_set_num_threads(NUM_THREADS);

#pragma omp parallel
{
  double x;
  int id, i, nthrds;
  id = omp_get_thread_num();
  nthrds = omp_get_num_threads();
  if (id == 0) nthreads = nthrds;
  for (i=id;i<n;i=i+nthrds) {
    x = h*(i+.5);
    sum[id] += h*4./(1.+x*x);
   }
}
  for(i=0, pi=0.;i<nthreads; i++)
  pi += sum[i];
  printf("\n Computed pi is %.16e with %d threads and error %.16e \n ",pi,nthreads,acos(-1.)-pi);
return(0);
}

