#include <stdio.h>
#include <math.h>
#include <omp.h>

#define MAX_THREADS 8

static long n = 1000000;
double h;

int main ()
{
	int i,j;
	double pi, full_sum, start_time, final_time, run_time, sum[MAX_THREADS];

	h = 1./(double) n;

  for (j=1;j<=MAX_THREADS;j++) {
    omp_set_num_threads(j);
    full_sum = 0.;
	  start_time = omp_get_wtime();

#pragma omp parallel private(i)
{
  	int id = omp_get_thread_num();
    int numthreads = omp_get_num_threads();
	  double x, partial_sum = 0.;

#pragma omp single
  	printf("number of threads = %d", numthreads);

	  for (i=id;i<n;i+=numthreads){
  	  x = h * (i + .5);
	    partial_sum += 4./(1.+x*x);
	  }

#pragma omp critical
	  full_sum += partial_sum;
}

	pi = h * full_sum;
  final_time = omp_get_wtime();
	run_time =  final_time - start_time;
	printf("\n Computed pi is %.16e in %f seconds %d threads with error %.16e \n ",pi,run_time,j,acos(-1.)-pi);
}
return (0);
}

