#include <omp.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX_THREADS 8

static long n = 1000000;
double h;

double f(double x) {
  return (4. / (1. + x*x));
}

int main ( int argc , char * argv [])
{
  int i,j;
  double *fx, x, pi, full_sum, start_time, final_time, run_time, sum;

	h = 1./(double) n;

  for (j=1;j<=MAX_THREADS;j++) {
    omp_set_num_threads(j);
    full_sum = 0.;
	  start_time = omp_get_wtime();

fx = ( double *) malloc ( n * sizeof ( double ));
h = (( double )1.0)/( double ) n ;
sum = 0.0;

# pragma omp parallel private (i , x ) shared (h , fx , n )
{
# pragma omp for
for ( i =1; i <= n ; i ++) {
x = h *(( double )i -( double )0.5);
fx [i -1] = f ( x );
}
}
for ( i =0; i < n ; i ++) {
sum += fx [ i ];
}
pi = h * sum ;
final_time = omp_get_wtime();
	run_time =  final_time - start_time;
printf("\n Computed pi is %.16e in %f seconds %d threads with error %.16e \n ",pi,run_time,j,acos(-1.)-pi);
}
return EXIT_SUCCESS ;
}

