#include <stdio.h>
#include <math.h>
#include <omp.h>

#define NUM_THREADS 8
static long n = 1000000;
double h;

int main ()
{
  int i, nthreads;
  double x, pi, sum=0.;
  h = 1./(double) n;

  omp_set_num_threads(NUM_THREADS);

#pragma omp parallel for private(x) reduction(+:sum)
  for (i=1; i<= n; i++){
    x = h*(i-.5);
    sum = sum + 4.0/(1.0+x*x);
  }

  pi = sum/n;
  printf("\n Computed pi is %.16e with %d threads and error %.16e \n ",pi,NUM_THREADS,acos(-1.)-pi);
return(0);
}

