/* Standard Library */
#include <stdlib.h>
/* IO library */
#include <stdio.h>
/* Time library */
#include <time.h>
/* Math librry */
#include <math.h>
#define pi_true (acos(-1.))
/* double pi_true = 3.14159265358979323846; */

/* Function prototype */
double f(double x) {
  return (4. / (1. + x*x));
}

int main(int argc, char* argv[]) {

  double h, x, pi=0., runtime;
  int n, i;
  time_t stime, ftime;

  /* Input n where the subintervals of fixed size are 1/n. */
  printf("Enter the number of intervals (0 quits):\n");
  scanf("%i", &n);
  if (n < 1) {
    return(-1);
  }

  /* Start timer */
  time(&stime);

  /* Set subinterval size */
  h = 1. / (double) n;

  /* Perform integration over n intervals */
  for (i=0; i<n; i++) {
    x = h * (i + .5);
    pi += h * f(x);
  }

  /* Stop timer */
  time(&ftime);

  /* Output computed value and error */
  printf(" computed pi = %.16e\n", pi);
  printf("     true pi = %.16e\n", pi_true);
  printf("       error = %.16e\n", pi_true - pi);
  printf("     runtime = %ld\n", ftime - stime);

  return(0);
}

