#!/bin/bash
###############################################################################
#
# EXAMPLE SERIAL SCRIPT FOR SGE
#
# To use, change all of the following to real values:
#      JOB_NAME, UCID, /path/to/your/program
# You might also need to load modules, see "module load" below.
#
# Modified by Basement Supercomputing 1/2/2006 DJE
# Modified for NJIT - AM 25Jan07
# Updated for modules and additional documenation. 31-Aug-2015 /KJW
#
###############################################################################
# Change JOB_NAME to a one-word alphanumeric description. This will be used for
# part of output file name and in status listings.
################################################################################
#$ -N test
#$ -q medium

################################################################################
# Send email when jobs starts and again when it finishes or if it aborts.
################################################################################
#$ -M shahriar@njit.edu
#$ -m abe

################################################################################
# Use current working directory where "qsub" was invoked.
################################################################################
#$ -cwd

################################################################################
# Join stdout and stderr
################################################################################
#$ -j y

################################################################################
# Run job through bash shell
################################################################################
#$ -S /bin/bash

###############################################################################
# Some programs require one or more libraries or utilities that are not usually
# in the environment.  These can be set by loading appropriate modules.  Use
# "module avail" to see a complete list of the modules.
################################################################################
module load gcc
# module load some-other-module-you-need

################################################################################
# The following are for reporting only and not really needed to run the job; 
# their results will show up in your output file.
################################################################################
echo "Running on $(uname -n)"
echo "PATH=$PATH"
echo "cwd=$(pwd)"

################################################################################
# If you are running a program you scripted or compiled in your own directory
# space, set the full path to it or ./ it if in current directory.  You can pass
# options to your program if desired.  Examples:
#      
#      /home/w/walsh/foo/bar/frobinate
#      ./frobinate
#      ./burger --with-mayo --no-tomato 42
#      
# If instead of running your own program you are running a program provided by
# a "load module" (described above) then you will have to use the syntax 
# particular to that module.
################################################################################
./a.out

################################################################################
# For a trial run without your own program, perhaps to test that you can use
# the "qsub" command, comment out the above /path/to/your/program/ and 
# uncomment the following lines.
################################################################################
# /path/to/your/program options
# sleep 20
# /usr/bin/uptime
# sleep 10
# /bin/date

